#-------------------------------------------
# Build Docker Image from a GitLab Project
#-------------------------------------------
stages:
  - 🚧build-img

variables:
  kanikoConfig: |
    {
      "auths": {
        "$CI_REGISTRY": {
          "username": "$CI_REGISTRY_USER",
          "password": "$CI_REGISTRY_PASSWORD"
        }
      }
    }

🐳build:latest:
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  stage: 🚧build-img
  rules:
    - if: $CI_COMMIT_BRANCH == "master"
  script: |
    echo "${kanikoConfig}" > /kaniko/.docker/config.json
    /kaniko/executor \
      --context $CI_PROJECT_DIR \
      --dockerfile $CI_PROJECT_DIR/Dockerfile \
      --destination $CI_REGISTRY_IMAGE:latest


